Add check-jinja and lf pod1 descriptor 59/33959/2
authoragardner <agardner@linuxfoundation.org>
Thu, 27 Apr 2017 14:17:23 +0000 (16:17 +0200)
committerAric Gardner <agardner@linuxfoundation.org>
Thu, 27 Apr 2017 14:24:36 +0000 (14:24 +0000)
Change-Id: Ic580cd934c674e5d0e7ce3cca3a113d8531e3400
Signed-off-by: agardner <agardner@linuxfoundation.org>
check-jinja2.sh [new file with mode: 0755]
labs/lf/pod1/pod.yaml [new file with mode: 0644]

diff --git a/check-jinja2.sh b/check-jinja2.sh
new file mode 100755 (executable)
index 0000000..be4d951
--- /dev/null
@@ -0,0 +1,9 @@
+#!/bin/bash
+set +x
+set -o errexit
+for lab_configs in $(find labs/ -name 'pod.yaml' | grep -v zte); do
+        while IFS= read -r jinja_templates; do
+          echo "./utils/generate_config.py -y $lab_configs -j $jinja_templates"
+          ./utils/generate_config.py -y $lab_configs -j $jinja_templates
+        done < <(find installers/ -name '*.jinja2')
+done
diff --git a/labs/lf/pod1/pod.yaml b/labs/lf/pod1/pod.yaml
new file mode 100644 (file)
index 0000000..db498c7
--- /dev/null
@@ -0,0 +1,117 @@
+---
+### LF POD 2 descriptor file ###
+
+global_details:
+  pod owner: Aric Gardner
+  contact: agardner@linuxfoundation.org
+  arch: x86_64
+  ipmi_username: "admin"
+  ipmi_password: "secret"
+  ipmi_ips:
+    - 172.30.8.69
+    - 172.30.8.78
+    - 172.30.8.67
+    - 172.30.8.76
+    - 172.30.8.71
+jumphost:
+  name: 'lf_pod1'
+  user: 'opnfv'
+  pass: 'secret'
+  ip: 172.30.9.66
+
+interfaces:
+  - features:
+      - dpdk
+      - sriov
+    mac_addresses:
+      jumphost: "00:25:B5:CC:00:4E"
+      node1: "00:25:B5:CC:00:1E"
+      node2: "00:25:B5:CC:00:5D"
+      node3: "00:25:B5:CC:00:1D"
+      node4: "00:25:B5:CC:00:3C"
+      node5: "00:25:B5:CC:00:5B"
+      ###
+    mac_addresses2:
+      jumphost: "00:25:B5:CC:00:3F"
+      node1: "00:25:B5:CC:00:0E"
+      node2: "00:25:B5:CC:00:4D"
+      node3: "00:25:B5:CC:00:0D"
+      node4: "00:25:B5:CC:00:2C"
+      node5: "00:25:B5:CC:00:4B"
+    mac_addresses3:
+      jumphost: "00:25:B5:CC:00:2E"
+      node1: "00:25:B5:CC:00:3E"
+      node2: "00:25:B5:CC:00:1F"
+      node3: "00:25:B5:CC:00:3D"
+      node4: "00:25:B5:CC:00:5C"
+      node5: "00:25:B5:CC:00:1C"
+    mac_addressesr4:
+      jumphost: "00:25:B5:CC:00:5E"
+      node1: "00:25:B5:CC:00:4F"
+      node2: "00:25:B5:CC:00:5F"
+      node3: "00:25:B5:CC:00:2D"
+      node4: "00:25:B5:CC:00:4C"
+      node5: "00:25:B5:CC:00:0C"
+      ###
+
+    networks:
+      - vlan: native
+        cidr: 192.30.9.0/24
+        gateway: 192.30.9.1
+        apex:
+          opnfv_net: admin
+        fuel:
+          opnfv_net: pxe
+        joid:
+          opnfv_net: interal_api
+
+      - vlan: 101
+        cidr: 10.0.1.0/24
+        fuel:
+          opnfv_net: tenant
+          tenant_type: vlan
+
+      - vlan: 102
+        cidr: 10.0.2.0/24
+        fuel:
+          opnfv_net: management
+          tenant_type: vlan
+      - vlan: 103
+        cidr: 10.0.3.0/24
+        fuel:
+          opnfv_net: tenant
+          tenant_type: vlan
+  # 10 vlans 5 vlans on the private 2+ nics
+  # public, private, admin(pxe), management, storage
+  - features:
+      - dpdk
+      - sriov
+    mac_addresses:
+      jumphost: "74:4a:a4:00:91:b3"
+      node1: "74:4a:a4:00:91:b3"
+      node2: "74:4a:a4:00:91:b3"
+      node3: "74:4a:a4:00:91:b3"
+      node4: "74:4a:a4:00:91:b3"
+      networks:
+        - vlan: native
+          cidr: 10.1.0.0/24
+          apex:
+            opnfv_net: tenant
+            tenant_type: vxlan
+          fuel:
+            opnfv_net: pxe
+        - vlan: 101
+          cidr: 10.1.1.0/24
+          fuel:
+            opnfv_net: tenant
+            tenant_type: vlan
+        - vlan: 102
+          cidr: 10.1.2.0/24
+          fuel:
+            opnfv_net: management
+            tenant_type: vlan
+        - vlan: 103
+          cidr: 10.1.3.0/24
+          fuel:
+            opnfv_net: tenant
+            tenant_type: vlan